Subject: Re: bug#5177: 23.1.90; scrollbar thumb stops working after being dragged

From: Ken Brown <[email-masked]>
Date: Sat, 12 Dec 2009 11:54:44 -0500

On 12/12/2009 11:41 AM, Angelo Graziosi wrote:
> Il 12/12/2009 17.09, Ken Brown ha scritto:
>> On 12/12/2009 7:29 AM, Jan Djärv wrote:
>>> Angelo Graziosi skrev:
>>>> Ken Brown ha scritto:
>>>>>
>>>>> It would be helpful if a few people who have built emacs on other
>>>>> systems could see if they can reproduce this bug. And if you could
>>>>> report which version of Gtk+ you have, that might help narrow the
>>>>> problem down.
>>>>
>>>> On Kubuntu-8.04 GTK+ is 2.12.9 and on Kubuntu-9.10 it is 2.18.3 (as
>>>> on Cygwin). If it is a GTK+ problem, why other GTK+ applications do
>>>> not show that behavior?
>>>>
>>>> ...and, it look to me that 23.1 (and the build I did with
>>>> CVS-2009.11.14) work better. But perhaps I am wrong (a sort of
>>>> illusion :-()
>>>>
>>>
>>> Found the problem.
>>
>> That fixed it. Thanks.
> 
> I still see an unexpected behavior: if I move the mouse pointer on the 
> scrollbar thumb and click with mouse-1 (only a simple click, tic-tac), 
> the thumb stops to follow the scrolling of the buffer I do with mouse 
> wheel; if I re-click in the same manner, it works again. For the 
> remainder, all works as expected.

Yes, I can confirm that.  (I have to admit I would never have thought to 
just click on the thumb without dragging it!)

Ken